<%
' *******************************************************************************
' AtomatiCMS
' Filename - acms_configaction.asp
' Summary  - Handle configurations actions
' Version  - 0.5B
' Updated  - 15 January 2007
' (c) 2007 by Joseph Chang (joseph@atomaticsoftware.com)
' http://www.atomaticsoftware.com

' This file is part of AtomatiCMS.

' AtomatiCMS is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.

' AtomatiCMS is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with AtomatiCMS; if not, write to the Free Software
' Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
' *******************************************************************************

OPTION EXPLICIT

Call ValidateUser(c_SUPERONLYACCESS)

' variable declaration
Dim fs, f
Dim str_config, str_configname, str_configvalue, str_newconfig, str_allconfig
Dim arr_config
Dim bln_string
Dim str_action, str_redirect, str_msg
' end variables

' include files
%>
<!--#include file="includes/acmsi_global.asp"-->
<!--#include file="includes/acmsi_functions.asp"-->
<!--#include file="includes/acmsi_queries.asp"-->
<%

' get form values
str_action = GetValue("action","")

Select Case lcase(str_action)
			
	Case "update"
		
		' Open file
		OpenFSO fs
		OpenFile "includes/acmsi_global.asp", fs, f
		Do While Not f.AtEndOfStream
			str_config = ReadOneLine(f)
			' Check if it is a constant, and will not show database configurations
			If (Left(str_config,8) = "const c_") AND Instr(str_config,"DATABASE")=0 Then
				str_config = Replace(str_config,"const c_","")
				arr_config = Split(str_config,"=")
				str_configname = Trim(arr_config(0))
				
				str_configvalue = GetValue(str_configname,"")
				bln_string = GetValue(str_configname & "_isstring",False)
				
				If bln_string Then str_configvalue = """" & str_configvalue & """"
				If Not NotEmpty(str_configvalue) Then str_configvalue = """"""
				
				str_newconfig = "const c_" & str_configname & " = " & str_configvalue
				str_allconfig = str_allconfig & str_newconfig & vbCrLf
			Else
				str_allconfig = str_allconfig & str_config & vbCrLf
			End If
		Loop
		
		' Close file
		CloseFile f
		CloseFSO fs
		
		' Write settings to file
		WriteFile "includes/acmsi_global.asp", str_allconfig
		
		str_redirect = "acms_configlist.asp"
		str_msg = GetLanguage("lang_configfileupdated")
	
	Case Else
		str_redirect = "acms_configlist.asp"
	

End Select

If NotEmpty(str_msg) Then WriteSession "adminmessage", str_msg
If NotEmpty(str_redirect) Then Response.Redirect str_redirect
%>